#mage tower spectre
from eventAPI import getTag, setTag
from APIUtils import showMessage, showPicture

mSpec2 = 0

def fireEvent(e):
    spec = getTag(e, "mSpec2")

    if(spec == 0):
        showPicture(e, "Spectre")
        showMessage(e,
            ["A spectre appears, saying:",
             "\"Now comes the door rallye, don't go mad.. MUHAHAHA\""])
        setTag(e, "mSpec2", 1)
    return 1
